#!/usr/bin/perl
# ------------------------------------------------------------------------------
# -- Copyright (c) 2025 Jersey Jack Pinball ------------------------------------
# ------------------------------------------------------------------------------
use utf8;
use strict;
use warnings;

# ------------------------------------------------------------------------------
# -- globals -------------------------------------------------------------------
# ------------------------------------------------------------------------------
my $bt = 'false';
my $cam = 'false';
my $hph = 'false';
my $kbm = 'false';
my $cput = 'true';
my $seckey = 'false';

# ------------------------------------------------------------------------------
# -- main ----------------------------------------------------------------------
# ------------------------------------------------------------------------------
foreach (`hciconfig`) {
	if (/hci0/) {
		$bt = 'true';
		last;
	}
}

if (glob("/dev/video*")) {
	$cam = 'true';
}

foreach (`pactl list short sinks`) {
	if (/usb/) {
		$hph = 'true';
		last;
	}
}

if (glob("/dev/input/by-path/*-kbd /dev/input/by-path/*-mouse")) {
	$kbm = 'true';
}

foreach (`sensors`) {
	if (/\s*package id 0:\s*\+*([0-9\.]+)/i) {
		if ( $1 > 80.0 ) {
			$cput = "false";		# "false" means "temp out of range"
		}
	}
}

if (`lsusb | grep HASP` ne '') {
	$seckey = 'true';
}

print "bluetooth:$bt:\n";
print "camera:$cam:\n";
print "headphone:$hph:\n";
print "kbmouse:$kbm:\n";
print "cputemp:$cput:\n";
print "securitykey:$seckey:\n";
